<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('common/files/download-protected', [\App\Http\ApiV1\Modules\Common\Controllers\FilesController::class, 'downloadProtected'])->name('downloadProtectedFile');
Route::post('cms/menus:search', [\App\Http\ApiV1\Modules\Cms\Controllers\MenusController::class, 'search'])->name('searchMenus');
Route::post('cms/menus:search-one', [\App\Http\ApiV1\Modules\Cms\Controllers\MenusController::class, 'searchOne'])->name('searchOneMenus');
Route::put('cms/menus/{id}/trees', [\App\Http\ApiV1\Modules\Cms\Controllers\MenuTreesController::class, 'update'])->name('updateMenuTrees');
Route::post('cms/product-groups:search', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController::class, 'search'])->name('searchProductGroups');
Route::post('cms/product-groups:search-one', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController::class, 'searchOne'])->name('searchOneProductGroups');
Route::post('cms/product-groups', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController::class, 'create'])->name('createProductGroups');
Route::put('cms/product-groups/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController::class, 'replace'])->name('replaceProductGroups');
Route::delete('cms/product-groups/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupsController::class, 'delete'])->name('deleteProductGroups');
Route::post('cms/product-groups/{id}:upload-file', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupFilesController::class, 'upload'])->name('uploadProductGroupFile');
Route::post('cms/product-groups/{id}:delete-file', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupFilesController::class, 'delete'])->name('deleteProductGroupFile');
Route::post('cms/product-group-types:search', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupTypesController::class, 'search'])->name('searchProductGroupTypes');
Route::post('cms/product-group-filters:search', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductGroupFiltersController::class, 'search'])->name('searchProductGroupFilters');
Route::post('cms/banners:search', [\App\Http\ApiV1\Modules\Cms\Controllers\BannersController::class, 'search'])->name('searchBanners');
Route::post('cms/banners:search-one', [\App\Http\ApiV1\Modules\Cms\Controllers\BannersController::class, 'searchOne'])->name('searchOneBanners');
Route::post('cms/banners', [\App\Http\ApiV1\Modules\Cms\Controllers\BannersController::class, 'create'])->name('createBanners');
Route::put('cms/banners/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\BannersController::class, 'replace'])->name('replaceBanners');
Route::delete('cms/banners/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\BannersController::class, 'delete'])->name('deleteBanners');
Route::post('cms/banners/{id}:upload-file', [\App\Http\ApiV1\Modules\Cms\Controllers\BannerFilesController::class, 'upload'])->name('uploadBannerFile');
Route::post('cms/banners/{id}:delete-file', [\App\Http\ApiV1\Modules\Cms\Controllers\BannerFilesController::class, 'delete'])->name('deleteBannerFile');
Route::post('cms/banner-types:search', [\App\Http\ApiV1\Modules\Cms\Controllers\BannerTypesController::class, 'search'])->name('searchBannerTypes');
Route::post('cms/product-categories', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController::class, 'create'])->name('createProductCategory');
Route::get('cms/product-categories/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController::class, 'get'])->name('getProductCategory');
Route::put('cms/product-categories/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController::class, 'replace'])->name('replaceProductCategory');
Route::delete('cms/product-categories/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController::class, 'delete'])->name('deleteProductCategory');
Route::post('cms/product-categories:mass-delete', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController::class, 'massDelete'])->name('massDeleteProductCategory');
Route::post('cms/product-categories:search', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController::class, 'search'])->name('searchProductCategories');
Route::post('cms/product-categories:tree', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductCategoriesController::class, 'tree'])->name('getProductCategoriesTree');
Route::post('cms/product-categories/pim-categories', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController::class, 'create'])->name('createProductPimCategory');
Route::get('cms/product-categories/pim-categories/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController::class, 'get'])->name('getProductPimCategory');
Route::put('cms/product-categories/pim-categories/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController::class, 'replace'])->name('replaceProductPimCategory');
Route::delete('cms/product-categories/pim-categories/{id}', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController::class, 'delete'])->name('deleteProductPimCategory');
Route::post('cms/product-categories/pim-categories:search', [\App\Http\ApiV1\Modules\Cms\Controllers\ProductPimCategoriesController::class, 'search'])->name('searchProductPimCategory');
Route::post('auth/login', [\App\Http\ApiV1\Modules\Auth\Controllers\AuthController::class, 'login'])->withoutMiddleware(['auth']);
Route::get('auth/logout', [\App\Http\ApiV1\Modules\Auth\Controllers\AuthController::class, 'logout'])->name('logout');
Route::post('auth/refresh', [\App\Http\ApiV1\Modules\Auth\Controllers\AuthController::class, 'refresh'])->withoutMiddleware(['auth']);
Route::get('auth/current-user', [\App\Http\ApiV1\Modules\Auth\Controllers\AuthController::class, 'currentUser'])->name('getCurrentUser');
Route::post('logistic/points:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\PointsController::class, 'search'])->name('searchPoints');
Route::post('logistic/point-enum-values:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\PointsController::class, 'searchEnumValues'])->name('logistic.searchPointEnumValues');
Route::get('logistic/delivery-services/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceController::class, 'get'])->name('getDeliveryService');
Route::patch('logistic/delivery-services/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceController::class, 'patch'])->name('patchDeliveryService');
Route::post('logistic/delivery-services:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceController::class, 'search'])->name('searchDeliveryServices');
Route::post('logistic/delivery-services:search-one', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceController::class, 'searchOne'])->name('searchOneDeliveryService');
Route::post('logistic/delivery-services/{id}:add-payment-methods', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServicePaymentMethodLinksController::class, 'add'])->name('addPaymentMethodsToDeliveryService');
Route::post('logistic/delivery-services/{id}:delete-payment-method', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServicePaymentMethodLinksController::class, 'delete'])->name('deletePaymentMethodFromDeliveryService');
Route::post('logistic/delivery-service-documents', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentsController::class, 'create'])->name('createDeliveryServiceDocument');
Route::get('logistic/delivery-service-documents/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentsController::class, 'get'])->name('getDeliveryServiceDocument');
Route::put('logistic/delivery-service-documents/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentsController::class, 'replace'])->name('replaceDeliveryServiceDocument');
Route::delete('logistic/delivery-service-documents/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentsController::class, 'delete'])->name('deleteDeliveryServiceDocument');
Route::patch('logistic/delivery-service-documents/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentsController::class, 'patch'])->name('patchDeliveryServiceDocument');
Route::post('logistic/delivery-service-documents/{id}:upload-file', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentFilesController::class, 'upload'])->name('uploadDeliveryServiceDocumentFile');
Route::post('logistic/delivery-service-documents/{id}:delete-file', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentFilesController::class, 'delete'])->name('deleteDeliveryServiceDocumentFile');
Route::post('logistic/delivery-service-documents:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentsController::class, 'search'])->name('searchDeliveryServiceDocuments');
Route::post('logistic/delivery-service-documents:search-one', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDocumentsController::class, 'searchOne'])->name('searchOneDeliveryServiceDocument');
Route::post('logistic/delivery-service-managers', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceManagersController::class, 'create'])->name('createDeliveryServiceManager');
Route::get('logistic/delivery-service-managers/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceManagersController::class, 'get'])->name('getDeliveryServiceManager');
Route::put('logistic/delivery-service-managers/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceManagersController::class, 'replace'])->name('replaceDeliveryServiceManager');
Route::delete('logistic/delivery-service-managers/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceManagersController::class, 'delete'])->name('deleteDeliveryServiceManager');
Route::patch('logistic/delivery-service-managers/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceManagersController::class, 'patch'])->name('patchDeliveryServiceManager');
Route::post('logistic/delivery-service-managers:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceManagersController::class, 'search'])->name('searchDeliveryServiceManagers');
Route::post('logistic/delivery-service-managers:search-one', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceManagersController::class, 'searchOne'])->name('searchOneDeliveryServiceManager');
Route::post('logistic/federal-districts', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\FederalDistrictsController::class, 'create'])->name('createFederalDistrict');
Route::get('logistic/federal-districts/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\FederalDistrictsController::class, 'get'])->name('getFederalDistrict');
Route::put('logistic/federal-districts/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\FederalDistrictsController::class, 'replace'])->name('replaceFederalDistrict');
Route::delete('logistic/federal-districts/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\FederalDistrictsController::class, 'delete'])->name('deleteFederalDistrict');
Route::patch('logistic/federal-districts/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\FederalDistrictsController::class, 'patch'])->name('patchFederalDistrict');
Route::post('logistic/federal-districts:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\FederalDistrictsController::class, 'search'])->name('searchFederalDistricts');
Route::post('logistic/federal-districts:search-one', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\FederalDistrictsController::class, 'searchOne'])->name('searchOneFederalDistrict');
Route::post('logistic/regions', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\RegionsController::class, 'create'])->name('createRegion');
Route::get('logistic/regions/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\RegionsController::class, 'get'])->name('getRegion');
Route::put('logistic/regions/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\RegionsController::class, 'replace'])->name('replaceRegion');
Route::delete('logistic/regions/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\RegionsController::class, 'delete'])->name('deleteRegion');
Route::patch('logistic/regions/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\RegionsController::class, 'patch'])->name('patchRegion');
Route::post('logistic/regions:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\RegionsController::class, 'search'])->name('searchRegions');
Route::post('logistic/regions:search-one', [\App\Http\ApiV1\Modules\Logistic\Controllers\Geos\RegionsController::class, 'searchOne'])->name('searchOneRegion');
Route::post('logistic/delivery-prices', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\DeliveryPricesController::class, 'create'])->name('createDeliveryPrice');
Route::get('logistic/delivery-prices/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\DeliveryPricesController::class, 'get'])->name('getDeliveryPrice');
Route::put('logistic/delivery-prices/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\DeliveryPricesController::class, 'replace'])->name('replaceDeliveryPrice');
Route::delete('logistic/delivery-prices/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\DeliveryPricesController::class, 'delete'])->name('deleteDeliveryPrice');
Route::patch('logistic/delivery-prices/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\DeliveryPricesController::class, 'patch'])->name('patchDeliveryPrice');
Route::post('logistic/delivery-prices:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\DeliveryPricesController::class, 'search'])->name('searchDeliveryPrices');
Route::post('logistic/delivery-prices:search-one', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\DeliveryPricesController::class, 'searchOne'])->name('searchOneDeliveryPrice');
Route::post('logistic/tariff-enum-values:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryPrices\TariffsController::class, 'searchEnumValues'])->name('logistic.searchTariffEnumValues');
Route::get('logistic/delivery-kpi', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiController::class, 'get'])->name('getDeliveryKpi');
Route::put('logistic/delivery-kpi', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiController::class, 'replace'])->name('replaceDeliveryKpi');
Route::patch('logistic/delivery-kpi', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiController::class, 'patch'])->name('patchDeliveryKpi');
Route::post('logistic/delivery-kpi-ct:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiCtController::class, 'search'])->name('searchDeliveryKpiCts');
Route::post('logistic/delivery-kpi-ct:search-one', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiCtController::class, 'searchOne'])->name('searchOneDeliveryKpiCt');
Route::get('logistic/delivery-kpi-ct/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiCtController::class, 'get'])->name('getDeliveryKpiCt');
Route::put('logistic/delivery-kpi-ct/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiCtController::class, 'replace'])->name('replaceDeliveryKpiCt');
Route::post('logistic/delivery-kpi-ct/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiCtController::class, 'create'])->name('createDeliveryKpiCt');
Route::delete('logistic/delivery-kpi-ct/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiCtController::class, 'delete'])->name('deleteDeliveryKpiCt');
Route::post('logistic/delivery-kpi-ppt:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiPptController::class, 'search'])->name('searchDeliveryKpiPpts');
Route::post('logistic/delivery-kpi-ppt:search-one', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiPptController::class, 'searchOne'])->name('searchOneDeliveryKpiPpt');
Route::get('logistic/delivery-kpi-ppt/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiPptController::class, 'get'])->name('getDeliveryKpiPpt');
Route::put('logistic/delivery-kpi-ppt/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiPptController::class, 'replace'])->name('replaceDeliveryKpiPpt');
Route::post('logistic/delivery-kpi-ppt/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiPptController::class, 'create'])->name('createDeliveryKpiPpt');
Route::delete('logistic/delivery-kpi-ppt/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryKpis\DeliveryKpiPptController::class, 'delete'])->name('deleteDeliveryKpiPpt');
Route::get('logistic/delivery-methods', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDirectoryController::class, 'getDeliveryMethods'])->name('getDeliveryMethods');
Route::get('logistic/delivery-service-statuses', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDirectoryController::class, 'getDeliveryServiceStatuses'])->name('getDeliveryServiceStatuses');
Route::get('logistic/shipment-methods', [\App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServiceDirectoryController::class, 'getShipmentMethods'])->name('getShipmentMethods');
Route::patch('logistic/cargo/{id}', [\App\Http\ApiV1\Modules\Logistic\Controllers\CargoOrders\CargoController::class, 'patch'])->name('patchCargo');
Route::post('logistic/cargo/{id}:cancel', [\App\Http\ApiV1\Modules\Logistic\Controllers\CargoOrders\CargoController::class, 'cancel'])->name('cancelCargo');
Route::post('logistic/cargo:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\CargoOrders\CargoController::class, 'search'])->name('searchCargo');
Route::post('logistic/cargo-orders/{id}:cancel', [\App\Http\ApiV1\Modules\Logistic\Controllers\CargoOrders\CargoOrdersController::class, 'cancel'])->name('cancelCargoOrders');
Route::post('logistic/cargo-orders:search', [\App\Http\ApiV1\Modules\Logistic\Controllers\CargoOrders\CargoOrdersController::class, 'search'])->name('searchCargoOrders');
Route::post('orders/orders:search', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController::class, 'search'])->name('searchOrders');
Route::get('orders/orders:meta', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController::class, 'meta'])->name('getOrderMeta');
Route::get('orders/orders/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController::class, 'get'])->name('getOrder');
Route::patch('orders/orders/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController::class, 'patch'])->name('patchOrder');
Route::post('orders/orders/{id}:change-payment-method', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController::class, 'changePaymentSystem'])->name('changeOrderPaymentSystem');
Route::post('orders/orders/{id}:change-delivery', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController::class, 'changeDelivery'])->name('changeOrderDelivery');
Route::post('orders/orders/{id}:attach-file', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController::class, 'attachFile'])->name('attachOrderFile');
Route::delete('orders/orders/{id}:delete-files', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\OrdersController::class, 'deleteFiles'])->name('deleteOrderFiles');
Route::patch('orders/deliveries/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\DeliveriesController::class, 'patch'])->name('patchDelivery');
Route::get('orders/order-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\EnumsController::class, 'orderStatuses'])->name('getOrderStatuses');
Route::get('orders/order-sources', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\EnumsController::class, 'orderSources'])->name('getOrderSources');
Route::get('orders/payment-methods', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\EnumsController::class, 'paymentMethods'])->name('getPaymentMethods');
Route::get('orders/payment-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\EnumsController::class, 'paymentStatuses'])->name('getPaymentStatuses');
Route::get('orders/delivery-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\EnumsController::class, 'deliveryStatuses'])->name('getDeliveryStatuses');
Route::get('orders/shipment-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\Orders\EnumsController::class, 'shipmentStatuses'])->name('getShipmentStatuses');
Route::get('orders/refund-statuses', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\EnumsController::class, 'refundStatuses'])->name('getRefundStatuses');
Route::get('orders/refund-reasons', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\EnumsController::class, 'refundReasons'])->name('getRefundReasons');
Route::post('orders/refund-reasons', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundReasonsController::class, 'create'])->name('createRefundReason');
Route::patch('orders/refund-reasons/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundReasonsController::class, 'patch'])->name('patchRefundReason');
Route::get('orders/oms-settings', [\App\Http\ApiV1\Modules\Orders\Controllers\OmsCommon\SettingsController::class, 'search'])->name('searchOmsSettings');
Route::patch('orders/oms-settings', [\App\Http\ApiV1\Modules\Orders\Controllers\OmsCommon\SettingsController::class, 'patchSeveral'])->name('patchOmsSettings');
Route::get('orders/baskets-settings', [\App\Http\ApiV1\Modules\Orders\Controllers\BasketsCommon\SettingsController::class, 'search'])->name('searchBasketsSettings');
Route::patch('orders/baskets-settings', [\App\Http\ApiV1\Modules\Orders\Controllers\BasketsCommon\SettingsController::class, 'patchSeveral'])->name('patchBasketsSettings');
Route::post('orders/refunds', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundsController::class, 'create'])->name('createRefund');
Route::post('orders/refunds:search', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundsController::class, 'search'])->name('searchRefunds');
Route::get('orders/refunds/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundsController::class, 'get'])->name('getRefund');
Route::patch('orders/refunds/{id}', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundsController::class, 'patch'])->name('patchRefund');
Route::post('orders/refunds/{id}:attach-file', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundsController::class, 'attachFile'])->name('attachRefundFile');
Route::delete('orders/refunds/{id}:delete-files', [\App\Http\ApiV1\Modules\Orders\Controllers\Refunds\RefundsController::class, 'deleteFiles'])->name('deleteRefundFiles');
Route::get('catalog/brands:meta', [\App\Http\ApiV1\Modules\Catalog\Controllers\BrandsController::class, 'meta'])->name('getBrandsMeta');
Route::post('catalog/brands:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\BrandsController::class, 'search'])->name('searchBrands');
Route::post('catalog/brands', [\App\Http\ApiV1\Modules\Catalog\Controllers\BrandsController::class, 'create'])->name('createBrand');
Route::get('catalog/brands/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\BrandsController::class, 'get'])->name('getBrand');
Route::put('catalog/brands/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\BrandsController::class, 'replace'])->name('replaceBrand');
Route::delete('catalog/brands/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\BrandsController::class, 'delete'])->name('deleteBrand');
Route::post('catalog/brands/{id}:upload-image', [\App\Http\ApiV1\Modules\Catalog\Controllers\BrandsController::class, 'uploadImage'])->name('uploadBrandImage');
Route::post('catalog/brands/{id}:delete-image', [\App\Http\ApiV1\Modules\Catalog\Controllers\BrandsController::class, 'deleteImage'])->name('deleteBrandImage');
Route::get('catalog/categories:meta', [\App\Http\ApiV1\Modules\Catalog\Controllers\CategoriesController::class, 'meta'])->name('getCategoriesMeta');
Route::post('catalog/categories:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\CategoriesController::class, 'search'])->name('searchCategories');
Route::post('catalog/categories', [\App\Http\ApiV1\Modules\Catalog\Controllers\CategoriesController::class, 'create'])->name('createCategory');
Route::post('catalog/categories/{id}:bind-properties', [\App\Http\ApiV1\Modules\Catalog\Controllers\CategoriesController::class, 'bindProperties'])->name('bindCategoryProperties');
Route::get('catalog/categories/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\CategoriesController::class, 'get'])->name('getCategory');
Route::put('catalog/categories/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\CategoriesController::class, 'replace'])->name('replaceCategory');
Route::delete('catalog/categories/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\CategoriesController::class, 'delete'])->name('deleteCategory');
Route::post('catalog/categories:tree', [\App\Http\ApiV1\Modules\Catalog\Controllers\CategoriesController::class, 'tree'])->name('getCategoriesTree');
Route::get('catalog/properties:meta', [\App\Http\ApiV1\Modules\Catalog\Controllers\PropertiesController::class, 'meta'])->name('getPropertiesMeta');
Route::post('catalog/properties:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\PropertiesController::class, 'search'])->name('searchProperties');
Route::post('catalog/properties', [\App\Http\ApiV1\Modules\Catalog\Controllers\PropertiesController::class, 'create'])->name('createProperty');
Route::get('catalog/properties/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\PropertiesController::class, 'get'])->name('getProperty');
Route::put('catalog/properties/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\PropertiesController::class, 'replace'])->name('replaceProperty');
Route::delete('catalog/properties/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\PropertiesController::class, 'delete'])->name('deleteProperty');
Route::patch('catalog/properties/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\PropertiesController::class, 'patch'])->name('patchProperty');
Route::post('catalog/properties/{id}:add-directory', [\App\Http\ApiV1\Modules\Catalog\Controllers\DirectoryValuesController::class, 'create'])->name('createDirectoryValue');
Route::post('catalog/properties/directory:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\DirectoryValuesController::class, 'search'])->name('searchDirectoryValues');
Route::post('catalog/properties/directory:preload-image', [\App\Http\ApiV1\Modules\Catalog\Controllers\DirectoryValuesController::class, 'preloadImage'])->name('preloadDirectoryValueImage');
Route::get('catalog/properties/directory/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\DirectoryValuesController::class, 'get'])->name('getDirectoryValue');
Route::put('catalog/properties/directory/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\DirectoryValuesController::class, 'replace'])->name('replaceDirectoryValue');
Route::delete('catalog/properties/directory/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\DirectoryValuesController::class, 'delete'])->name('deleteDirectoryValue');
Route::post('catalog/products:preload-image', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'preloadImage'])->name('preloadProductImage');
Route::post('catalog/products:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductsController::class, 'search'])->name('searchProducts');
Route::post('catalog/products', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'create'])->name('createProduct');
Route::get('catalog/products/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductsController::class, 'get'])->name('getProduct');
Route::put('catalog/products/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'replace'])->name('replaceProduct');
Route::delete('catalog/products/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'delete'])->name('deleteProduct');
Route::patch('catalog/products/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'patch'])->name('patchProduct');
Route::post('catalog/products/drafts:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'search'])->name('searchProductDrafts');
Route::get('catalog/products/drafts/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'get'])->name('getProductDraft');
Route::put('catalog/products/{id}/attributes', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'replaceAttributes'])->name('replaceProductAttributes');
Route::patch('catalog/products/{id}/attributes', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'patchAttributes'])->name('patchProductAttributes');
Route::put('catalog/products/{id}/images', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'replaceImages'])->name('replaceProductImages');
Route::patch('catalog/products/{id}/images', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductDraftsController::class, 'patchImages'])->name('patchProductImages');
Route::post('catalog/products/fields:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductFieldsController::class, 'search'])->name('searchProductFields');
Route::get('catalog/products/fields/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductFieldsController::class, 'get'])->name('getProductField');
Route::patch('catalog/products/fields/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\ProductFieldsController::class, 'patch'])->name('patchProductField');
Route::get('catalog/products/product-types', [\App\Http\ApiV1\Modules\Catalog\Controllers\EnumsController::class, 'productTypes'])->name('getProductTypes');
Route::post('catalog/offers:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\OffersController::class, 'search'])->name('searchOffers');
Route::post('catalog/offers', [\App\Http\ApiV1\Modules\Catalog\Controllers\OffersController::class, 'create'])->name('createOffer');
Route::post('catalog/offers:change-statuses', [\App\Http\ApiV1\Modules\Catalog\Controllers\OffersController::class, 'changeStatuses'])->name('offerChangeStatuses');
Route::get('catalog/offers/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\OffersController::class, 'get'])->name('getOffer');
Route::put('catalog/offers/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\OffersController::class, 'replace'])->name('replaceOffer');
Route::delete('catalog/offers/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\OffersController::class, 'delete'])->name('deleteOffer');
Route::post('catalog/offers/{id}/change-status', [\App\Http\ApiV1\Modules\Catalog\Controllers\OffersController::class, 'changeStatus'])->name('offerChangeStatus');
Route::post('catalog/variants:search', [\App\Http\ApiV1\Modules\Catalog\Controllers\VariantGroupsController::class, 'search'])->name('searchVariantGroups');
Route::post('catalog/variants', [\App\Http\ApiV1\Modules\Catalog\Controllers\VariantGroupsController::class, 'create'])->name('createVariantGroup');
Route::get('catalog/variants/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\VariantGroupsController::class, 'get'])->name('getVariantGroup');
Route::put('catalog/variants/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\VariantGroupsController::class, 'replace'])->name('replaceVariantGroup');
Route::delete('catalog/variants/{id}', [\App\Http\ApiV1\Modules\Catalog\Controllers\VariantGroupsController::class, 'delete'])->name('deleteVariantGroup');
Route::post('customers/customers:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'search'])->name('searchCustomers');
Route::post('customers/customer-enum-values:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'searchEnumValues'])->name('customers.searchCustomerEnumValues');
Route::post('customers/customers', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'create'])->name('createCustomer');
Route::get('customers/customers/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'get'])->name('getCustomer');
Route::put('customers/customers/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'replace'])->name('replaceCustomer');
Route::delete('customers/customers/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'delete'])->name('deleteCustomer');
Route::post('customers/customers/{id}:upload-avatar', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'uploadAvatar'])->name('uploadCustomerAvatar');
Route::post('customers/customers/{id}:delete-avatar', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersController::class, 'deleteAvatar'])->name('deleteCustomerAvatar');
Route::post('customers/users:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersUserController::class, 'search'])->name('searchCustomerUsers');
Route::post('customers/users:search-one', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersUserController::class, 'searchOne'])->name('searchOneCustomerUser');
Route::post('customers/users', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersUserController::class, 'create'])->name('createCustomerUser');
Route::get('customers/users/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersUserController::class, 'get'])->name('getCustomerUser');
Route::delete('customers/users/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersUserController::class, 'delete'])->name('deleteCustomerUser');
Route::patch('customers/users/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersUserController::class, 'patch'])->name('patchCustomerUser');
Route::post('customers/users/{id}:refresh-password-token', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersUserController::class, 'refreshPasswordToken'])->name('customerUserRefreshPasswordToken');
Route::post('customers/addresses:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersAddressController::class, 'search'])->name('searchCustomerAddresses');
Route::post('customers/addresses', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersAddressController::class, 'create'])->name('createCustomerAddress');
Route::get('customers/addresses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersAddressController::class, 'get'])->name('getCustomerAddress');
Route::put('customers/addresses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersAddressController::class, 'replace'])->name('replaceCustomerAddress');
Route::delete('customers/addresses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersAddressController::class, 'delete'])->name('deleteCustomerAddress');
Route::post('customers/addresses/{id}:set-as-default', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersAddressController::class, 'setDefault'])->name('setCustomerAddressesAsDefault');
Route::post('customers/statuses:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerStatusesController::class, 'search'])->name('searchCustomerStatuses');
Route::post('customers/statuses', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerStatusesController::class, 'create'])->name('createCustomerStatus');
Route::get('customers/statuses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerStatusesController::class, 'get'])->name('getCustomerStatus');
Route::delete('customers/statuses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerStatusesController::class, 'delete'])->name('deleteCustomerStatus');
Route::patch('customers/statuses/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerStatusesController::class, 'patch'])->name('patchCustomerStatus');
Route::post('customers/attributes:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerAttributesController::class, 'search'])->name('searchCustomerAttributes');
Route::post('customers/attributes', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerAttributesController::class, 'create'])->name('createCustomerAttribute');
Route::get('customers/attributes/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerAttributesController::class, 'get'])->name('getCustomerAttribute');
Route::delete('customers/attributes/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerAttributesController::class, 'delete'])->name('deleteCustomerAttribute');
Route::patch('customers/attributes/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomerAttributesController::class, 'patch'])->name('patchCustomerAttribute');
Route::post('customers/favorites:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersFavouritesController::class, 'search'])->name('searchCustomerFavorite');
Route::post('customers/favorites', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersFavouritesController::class, 'create'])->name('createCustomerFavorite');
Route::post('customers/favorites:delete-product', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersFavouritesController::class, 'delete'])->name('deleteProductFromCustomerFavorites');
Route::post('customers/favorites:clear', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersFavouritesController::class, 'clear'])->name('clearCustomerFavorites');
Route::post('customers/customers-info:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'search'])->name('searchCustomersInfo');
Route::post('customers/customers-info', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'create'])->name('createCustomersInfo');
Route::get('customers/customers-info/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'get'])->name('getCustomersInfo');
Route::delete('customers/customers-info/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'delete'])->name('deleteCustomersInfo');
Route::patch('customers/customers-info/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController::class, 'patch'])->name('patchCustomersInfo');
Route::post('customers/bonus-operations:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersBonusOperationsController::class, 'search'])->name('searchCustomersBonusOperations');
Route::post('customers/bonus-operations', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersBonusOperationsController::class, 'create'])->name('createCustomersBonusOperations');
Route::get('customers/bonus-operations/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersBonusOperationsController::class, 'get'])->name('getBonusOperation');
Route::delete('customers/bonus-operations/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersBonusOperationsController::class, 'delete'])->name('deleteBonusOperation');
Route::patch('customers/bonus-operations/{id}', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersBonusOperationsController::class, 'patch'])->name('patchBonusOperation');
Route::post('customers/product-subscribes:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersProductSubscribesController::class, 'search'])->name('searchCustomerProductSubscribes');
Route::post('customers/product-subscribes', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersProductSubscribesController::class, 'create'])->name('createCustomerProductSubscribes');
Route::post('customers/product-subscribes:delete-product', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersProductSubscribesController::class, 'delete'])->name('deleteProductFromProductSubscribes');
Route::post('customers/product-subscribes:clear', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersProductSubscribesController::class, 'clear'])->name('clearCustomerProductSubscribes');
Route::post('customers/preferences:search', [\App\Http\ApiV1\Modules\Customers\Controllers\CustomersPreferencesController::class, 'search'])->name('searchCustomerPreferences');
Route::post('marketing/promo-codes:search', [\App\Http\ApiV1\Modules\Marketing\Controllers\PromoCodesController::class, 'search'])->name('searchPromoCodes');
Route::post('marketing/promo-codes', [\App\Http\ApiV1\Modules\Marketing\Controllers\PromoCodesController::class, 'create'])->name('createPromoCode');
Route::get('marketing/promo-codes/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\PromoCodesController::class, 'findById'])->name('getPromoCode');
Route::put('marketing/promo-codes/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\PromoCodesController::class, 'replace'])->name('replacePromoCode');
Route::delete('marketing/promo-codes/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\PromoCodesController::class, 'delete'])->name('deletePromoCode');
Route::patch('marketing/promo-codes/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\PromoCodesController::class, 'patch'])->name('patchPromoCode');
Route::get('marketing/promo-code-statuses', [\App\Http\ApiV1\Modules\Marketing\Controllers\EnumsController::class, 'promoCodeStatuses'])->name('getPromoCodeStatuses');
Route::get('marketing/promo-code-types', [\App\Http\ApiV1\Modules\Marketing\Controllers\EnumsController::class, 'promoCodeTypes'])->name('getPromoCodeTypes');
Route::post('marketing/discounts:search', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountsController::class, 'search'])->name('searchDiscounts');
Route::post('marketing/discounts:mass-status-update', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountsController::class, 'massStatusUpdate'])->name('massDiscountsStatusUpdate');
Route::post('marketing/discounts', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountsController::class, 'create'])->name('createDiscount');
Route::get('marketing/discounts/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountsController::class, 'findById'])->name('getDiscount');
Route::put('marketing/discounts/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountsController::class, 'replace'])->name('replaceDiscount');
Route::delete('marketing/discounts/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountsController::class, 'delete'])->name('deleteDiscount');
Route::patch('marketing/discounts/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountsController::class, 'patch'])->name('patchDiscount');
Route::get('marketing/discount-statuses', [\App\Http\ApiV1\Modules\Marketing\Controllers\EnumsController::class, 'discountStatuses'])->name('getDiscountStatuses');
Route::get('marketing/discount-types', [\App\Http\ApiV1\Modules\Marketing\Controllers\EnumsController::class, 'discountTypes'])->name('getDiscountTypes');
Route::post('marketing/discounts/discount-offers:search', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountOffersController::class, 'search'])->name('searchDiscountOffers');
Route::post('marketing/discounts/discount-offers', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountOffersController::class, 'create'])->name('createDiscountOffer');
Route::get('marketing/discounts/discount-offers/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountOffersController::class, 'findById'])->name('getDiscountOffer');
Route::delete('marketing/discounts/discount-offers/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountOffersController::class, 'delete'])->name('deleteDiscountOffer');
Route::patch('marketing/discounts/discount-offers/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountOffersController::class, 'patch'])->name('patchDiscountOffer');
Route::post('marketing/discounts/discount-brands:search', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountBrandsController::class, 'search'])->name('searchDiscountBrands');
Route::post('marketing/discounts/discount-brands', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountBrandsController::class, 'create'])->name('createDiscountBrand');
Route::get('marketing/discounts/discount-brands/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountBrandsController::class, 'findById'])->name('getDiscountBrand');
Route::delete('marketing/discounts/discount-brands/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountBrandsController::class, 'delete'])->name('deleteDiscountBrand');
Route::patch('marketing/discounts/discount-brands/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountBrandsController::class, 'patch'])->name('patchDiscountBrand');
Route::post('marketing/discounts/discount-categories:search', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountCategoriesController::class, 'search'])->name('searchDiscountCategories');
Route::post('marketing/discounts/discount-categories', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountCategoriesController::class, 'create'])->name('createDiscountCategories');
Route::get('marketing/discounts/discount-categories/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountCategoriesController::class, 'findById'])->name('getDiscountCategories');
Route::delete('marketing/discounts/discount-categories/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountCategoriesController::class, 'delete'])->name('deleteDiscountCategories');
Route::patch('marketing/discounts/discount-categories/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountCategoriesController::class, 'patch'])->name('patchDiscountCategories');
Route::post('marketing/discounts/discount-segments:search', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountSegmentsController::class, 'search'])->name('searchDiscountSegments');
Route::post('marketing/discounts/discount-segments', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountSegmentsController::class, 'create'])->name('createDiscountSegment');
Route::get('marketing/discounts/discount-segments/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountSegmentsController::class, 'findById'])->name('getDiscountSegment');
Route::delete('marketing/discounts/discount-segments/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountSegmentsController::class, 'delete'])->name('deleteDiscountSegment');
Route::patch('marketing/discounts/discount-segments/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountSegmentsController::class, 'patch'])->name('patchDiscountSegment');
Route::get('marketing/discount-condition-types', [\App\Http\ApiV1\Modules\Marketing\Controllers\EnumsController::class, 'discountConditionTypes'])->name('getDiscountConditionTypes');
Route::get('marketing/discount-condition-type-props', [\App\Http\ApiV1\Modules\Marketing\Controllers\EnumsController::class, 'discountConditionTypeProps'])->name('getDiscountConditionTypeProps');
Route::post('marketing/discounts/discount-conditions:search', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountConditionsController::class, 'search'])->name('searchDiscountConditions');
Route::post('marketing/discounts/discount-conditions', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountConditionsController::class, 'create'])->name('createDiscountCondition');
Route::get('marketing/discounts/discount-conditions/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountConditionsController::class, 'findById'])->name('getDiscountCondition');
Route::delete('marketing/discounts/discount-conditions/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountConditionsController::class, 'delete'])->name('deleteDiscountCondition');
Route::patch('marketing/discounts/discount-conditions/{id}', [\App\Http\ApiV1\Modules\Marketing\Controllers\DiscountConditionsController::class, 'patch'])->name('patchDiscountCondition');
Route::get('menu', [\App\Http\ApiV1\Modules\Common\Controllers\MenuController::class, 'menu'])->name('getMenu');
Route::post('communication/statuses:search', [\App\Http\ApiV1\Modules\Communication\Controllers\StatusesController::class, 'search'])->name('searchStatuses');
Route::post('communication/statuses', [\App\Http\ApiV1\Modules\Communication\Controllers\StatusesController::class, 'create'])->name('createStatus');
Route::delete('communication/statuses/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\StatusesController::class, 'delete'])->name('deleteStatus');
Route::patch('communication/statuses/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\StatusesController::class, 'patch'])->name('patchStatus');
Route::post('communication/themes:search', [\App\Http\ApiV1\Modules\Communication\Controllers\ThemesController::class, 'search'])->name('searchThemes');
Route::post('communication/themes', [\App\Http\ApiV1\Modules\Communication\Controllers\ThemesController::class, 'create'])->name('createTheme');
Route::delete('communication/themes/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\ThemesController::class, 'delete'])->name('deleteTheme');
Route::patch('communication/themes/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\ThemesController::class, 'patch'])->name('patchTheme');
Route::post('communication/types:search', [\App\Http\ApiV1\Modules\Communication\Controllers\TypesController::class, 'search'])->name('searchTypes');
Route::post('communication/types', [\App\Http\ApiV1\Modules\Communication\Controllers\TypesController::class, 'create'])->name('createType');
Route::delete('communication/types/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\TypesController::class, 'delete'])->name('deleteType');
Route::patch('communication/types/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\TypesController::class, 'patch'])->name('patchType');
Route::post('communication/messages:search', [\App\Http\ApiV1\Modules\Communication\Controllers\MessagesController::class, 'search'])->name('searchMessages');
Route::post('communication/messages', [\App\Http\ApiV1\Modules\Communication\Controllers\MessagesController::class, 'create'])->name('createMessage');
Route::post('communication/broadcasts', [\App\Http\ApiV1\Modules\Communication\Controllers\BroadcastsController::class, 'create'])->name('createBroadcast');
Route::post('communication/file-upload', [\App\Http\ApiV1\Modules\Communication\Controllers\FilesController::class, 'upload'])->name('fileUpload');
Route::post('communication/file-delete', [\App\Http\ApiV1\Modules\Communication\Controllers\FilesController::class, 'delete'])->name('fileDelete');
Route::post('communication/channels:search', [\App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController::class, 'search'])->name('searchChannels');
Route::post('communication/channels', [\App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController::class, 'create'])->name('createChannel');
Route::delete('communication/channels/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController::class, 'delete'])->name('deleteChannel');
Route::patch('communication/channels/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\ChannelsController::class, 'patch'])->name('patchChannel');
Route::post('communication/chats:search', [\App\Http\ApiV1\Modules\Communication\Controllers\ChatsController::class, 'search'])->name('searchChats');
Route::post('communication/chats', [\App\Http\ApiV1\Modules\Communication\Controllers\ChatsController::class, 'create'])->name('createChat');
Route::patch('communication/chats/{id}', [\App\Http\ApiV1\Modules\Communication\Controllers\ChatsController::class, 'patch'])->name('patchChat');
Route::post('units/sellers:search', [\App\Http\ApiV1\Modules\Units\Controllers\SellersController::class, 'search'])->name('searchSellers');
Route::post('units/sellers', [\App\Http\ApiV1\Modules\Units\Controllers\SellersController::class, 'create'])->name('createSeller');
Route::get('units/sellers/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\SellersController::class, 'get'])->name('getSeller');
Route::put('units/sellers/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\SellersController::class, 'replace'])->name('replaceSeller');
Route::patch('units/sellers/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\SellersController::class, 'patch'])->name('patchSeller');
Route::get('units/sellers/statuses', [\App\Http\ApiV1\Modules\Units\Controllers\EnumsController::class, 'sellerStatuses'])->name('getSellerStatuses');
Route::post('units/stores:search', [\App\Http\ApiV1\Modules\Units\Controllers\StoresController::class, 'search'])->name('searchStores');
Route::post('units/stores', [\App\Http\ApiV1\Modules\Units\Controllers\StoresController::class, 'create'])->name('createStore');
Route::get('units/stores/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StoresController::class, 'get'])->name('getStore');
Route::put('units/stores/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StoresController::class, 'replace'])->name('replaceStore');
Route::patch('units/stores/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StoresController::class, 'patch'])->name('patchStore');
Route::post('units/stores-workings', [\App\Http\ApiV1\Modules\Units\Controllers\StoreWorkingsController::class, 'create'])->name('createStoreWorking');
Route::put('units/stores-workings/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StoreWorkingsController::class, 'replace'])->name('replaceStoreWorking');
Route::patch('units/stores-workings/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StoreWorkingsController::class, 'patch'])->name('patchStoreWorking');
Route::post('units/stores-pickup-times', [\App\Http\ApiV1\Modules\Units\Controllers\StorePickupTimesController::class, 'create'])->name('createStorePickupTime');
Route::put('units/stores-pickup-times/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StorePickupTimesController::class, 'replace'])->name('replaceStorePickupTime');
Route::patch('units/stores-pickup-times/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StorePickupTimesController::class, 'patch'])->name('patchStorePickupTime');
Route::post('units/stores-contacts', [\App\Http\ApiV1\Modules\Units\Controllers\StoreContactsController::class, 'create'])->name('createStoreContact');
Route::put('units/stores-contacts/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StoreContactsController::class, 'replace'])->name('replaceStoreContact');
Route::delete('units/stores-contacts/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StoreContactsController::class, 'delete'])->name('deleteStoreContact');
Route::patch('units/stores-contacts/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\StoreContactsController::class, 'patch'])->name('patchStoreContact');
Route::post('units/seller-users:search', [\App\Http\ApiV1\Modules\Units\Controllers\SellerUsersController::class, 'search'])->name('searchSellerUsers');
Route::post('units/seller-users', [\App\Http\ApiV1\Modules\Units\Controllers\SellerUsersController::class, 'create'])->name('createSellerUser');
Route::get('units/seller-users/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\SellerUsersController::class, 'get'])->name('getSellerUser');
Route::patch('units/seller-users/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\SellerUsersController::class, 'patch'])->name('patchSellerUser');
Route::post('units/seller-users/{id}:add-roles', [\App\Http\ApiV1\Modules\Units\Controllers\SellerUsersController::class, 'addRoles'])->name('addRolesToSellerUser');
Route::post('units/seller-users/{id}:delete-role', [\App\Http\ApiV1\Modules\Units\Controllers\SellerUsersController::class, 'deleteRole'])->name('deleteRoleFromSellerUser');
Route::post('units/seller-user-roles:search', [\App\Http\ApiV1\Modules\Units\Controllers\SellerUserRolesController::class, 'search'])->name('searchRole');
Route::post('units/admin-users:search', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'search'])->name('searchAdminUsers');
Route::post('units/admin-user-enum-values:search', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'searchEnumValues'])->name('units.searchAdminUserEnumValues');
Route::post('units/admin-users', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'create'])->name('createAdminUser');
Route::get('units/admin-users/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'get'])->name('getAdminUser');
Route::patch('units/admin-users/{id}', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'patch'])->name('patchAdminUser');
Route::post('units/admin-users/{id}:add-roles', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'addRoles'])->name('addRolesToAdminUser');
Route::post('units/admin-users/{id}:delete-role', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'deleteRole'])->name('deleteRoleFromAdminUser');
Route::post('units/admin-users/{id}:refresh-password-token', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'refreshPasswordToken'])->name('refreshPasswordToken');
Route::post('units/admin-users/mass/change-active', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'massChangeActive'])->name('massChangeActive');
Route::post('units/admin-users/set-password', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUsersController::class, 'setPassword'])->withoutMiddleware(['auth']);
Route::post('units/admin-user-roles:search', [\App\Http\ApiV1\Modules\Units\Controllers\AdminUserRolesController::class, 'search'])->name('searchAdminUserRoles');
